Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client.rpc
Class StatusCodeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.google.gwt.user.client.rpc.InvocationException
                      com.google.gwt.user.client.rpc.StatusCodeException

All Implemented Interfaces:
  java.io.Serializable

    public class StatusCodeException

extends InvocationException

Indicates that an RPC response was returned with an invalid HTTP status code. This exception will be presented via `AsyncCallback.onFailure(Throwable)` if the HTTP response from the server does not have a `200` status code.

See Also:
  Serialized Form

Constructor Summary
`StatusCodeException(int statusCode, java.lang.String message)` Construct an exception with the given status code and description.

Method Summary
`int` | `getStatusCode()` Returns the status code associated with the failed request.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StatusCodeException

    public StatusCodeException(int statusCode,
                               java.lang.String message)

  Construct an exception with the given status code and description.

  Parameters:
    `statusCode` - the HTTP status code to report
    `message` - a message to report

Method Detail

### getStatusCode

    public int getStatusCode()

  Returns the status code associated with the failed request.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD